From: roble (Ray Roble)
Date: Tue, 1 Mar 94 10:16:14 MST

[email-masked] Thu Sep  2 13:18:24 1993
Date: Thu, 2 Sep 93 13:18:22 MDT
From: [email-masked] (Bill Roberts)
To: [email-masked]
Subject: latest thunder code...
Status: RO

Ray,
  You can try out the latest version of the thunder code and see what you think.
I notice the following: the range of values of the "Electric Potential"are very small near the surface but start to grow with height (most notible around 3 -
5 km).  An almost perfect symmetry forms in the "Horizontal Electric Field ZHT 
surface" starting around 50-75 km.  Just curious if this behavior is what is 
expected.
  Anyway, don't forget the following:

  1)  The file "HistReq" is used to specify the TIGCM history volume, doy, hrs, 	mins. to acquire the potential from.

  2) Simply edit the source code as you like, with "re", and after saving
        the changes just type "thunderGO".

--Bill

>From [email-masked] Thu Sep  2 16:15:53 1993
Date: Thu, 2 Sep 93 16:15:52 MDT
From: [email-masked] (Bill Roberts)
To: [email-masked]
Subject: Re: thunder output
Status: RO

Ray,
  I ran "thunderGO" from ~roble/thunder and just got output in
/ouray/d/thunder:

3416 -rw-r--r--  1 roble     3483360 Sep  2 16:13 thunderCGM1947
 256 -rw-r--r--  1 roble      246165 Sep  2 16:12 thunderOUT1947
   1 -rw-r--r--  1 roble         607 Sep  2 16:12 thunder1947.print0

How did you start your "thunder" job?

--Bill

>From [email-masked] Wed Oct 20 15:12:57 1993
Date: Wed, 20 Oct 93 15:12:54 MDT
From: [email-masked] (Bill Roberts)
To: [email-masked]
Subject: thunder
Status: RO

Ray,
  To run the thunder model:

1) Edit your codes (e.g. the *.f files that make up thunder)
2) Edit the 'HistReq' file to specify what history volume, hour, min, sec.
3) Type 'thunderGO'

For example,

(ouray) thunder : thunderGO
PID= 933
[1] 939

The number "PID= 933" tells you your local job ID.  That is, you can list all 
output associated with this job by typing

(ouray) thunder : ls -lst /d/thunder/*933
   5 -rw-r--r--  1 roble        4902 Oct 20 14:48 /d/thunder/thunderACCT933
 176 -rw-r--r--  1 roble      164160 Oct 20 14:47 /d/thunder/thunderCGM933
   2 -rw-r--r--  1 roble        1524 Oct 20 14:47 /d/thunder/thunderOUT933
   1 -rw-r--r--  1 roble         606 Oct 20 14:47 /d/thunder/thunder933

thunderACCT933 is the job accounting file for this job, 
thunderCGM933 is the graphics metacode file,
thunderOUT933 is the standard output file, and 
thunder933 contains compiler/loader status.

In the event your code crashes you can find out where the 
code is blowing up by running the job with the "-d" option.
That is,

(ouray) thunder : thunderGO -d
PID= 1096
Running in debug mode: compiler optimization turned off.
[1] 1102

This will activate the creation of a symbol table and debugger to 
provide you with the address of where the error has occurred.
For this particular job the debugging information is in a file 
named /d/thunder/DEBUG1096.

In addition to these files you will be notified via email with a 
message similar to: 

Apparently-To: roble
Status: R

thunder program has completed execution. 
Output transferred to lhotse.hao.ucar.edu:/d/thunder
standard output file: thunderOUT933
graphics metacode file: thunderCGM933
job accting file: thunderACCT933

I'll see you on Monday morning.  In the meantime send me
e-mail if you have any problems or questions.

--Bill